Hobbyist Toolkit

cancel
Showing results for 
Search instead for 
Did you mean: 

Not able to update the LabVIEW install on the Raspberry PI

Solved!
Go to solution

I have LabVIEW 2020 pro:

I have RT installed:

I have NI-VISA 20.0 installed

aeastet_0-1619096931601.png

 

I down loaded the LINK software from VIPM:

aeastet_1-1619097022904.png

I added the C++ redistributable.

 

I see this failure after I connect to the Raspberry PI:

aeastet_2-1619097129086.png

 

Am I missing something here? I have looked over the forum and made sure I did everything where others have had the same issue but nothing seemed to fix this issue.

Tim
GHSP
0 Kudos
Message 1 of 4
(901 Views)

OK so I uninstalled everything from the VIPM and reinstalled just the NI version of the raspberrypi stuff. The connection tool is slightly different. I am able to connect but I am still having a problem. The tool reboots the raspberrypi and then gets stuck and I see at the bottom of the waiting for the target to reboot....

 

It never seems to make it past this point. Any thoughts on what I need to do.

 

I do notice that I cannot connect if I use the hostname. I have to use the IP address to connect. Could this be causing a problem? I am able to ping raspberrypi with the command prompt. I can also ping the ip address and both send and receive with not loss. I am not sure what else I can do to make this work.

Tim
GHSP
0 Kudos
Message 2 of 4
(869 Views)

Do not use the hostname but the IP address. The rapberrypi.local hostname or similar is a zeroconf/link-local/mDNS name. It does not generally work well, although it may seem to work in certain setups.

 

 

Rolf Kalbermatter
My Blog
Message 3 of 4
(859 Views)
Solution
Accepted by topic author aeastet

I uninstalled all of the LINX VIPM packages and tried to only install the NI version. This seemed to help. I also reinstalled VISA drivers because I add real time after everything was added. These two actions seemed to fix my problems.

Tim
GHSP
Message 4 of 4
(821 Views)